# Generated from hashie-2.0.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name hashie

Name: rubygem-%{gem_name}
Version: 3.6.0
Release: 1%{?dist}.1
Summary: Your friendly neighborhood hash toolkit
License: MIT
URL: https://github.com/intridea/hashie
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel 
BuildRequires: ruby
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(rspec-pending_for)
BuildRequires: rubygem(rack-test)
BuildRequires: rubygem(activesupport)
BuildRequires: rubygem(sinatra)
BuildRequires: rubygem(ruby_engine)
BuildRequires: rubygem(ruby_version)
BuildRequires: rubygem(i18n)
BuildRequires: rubygem(activesupport)
BuildRequires: rubygem(concurrent-ruby)
BuildRequires: rubygem(minitest)
BuildArch: noarch

%description
Hashie is a small collection of tools that make hashes more powerful.
Currently includes Mash (Mocking Hash) and Dash (Discrete Hash).

%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%if 0%{?rhel} <= 7
gem unpack %{SOURCE0}
gem specification %{SOURCE0} -l --ruby > %{gem_name}-%{version}.gemspec
%endif
%setup -q -D -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}

# Disable integration tests with elasticsearch-model; omniauth-oauth2
# as those are not in Fedora.
# Disable integration test for rails, as it fails load properly(needs to run in Bundler).
for p in omniauth-oauth2 omniauth elasticsearch rails; do
  mv spec/integration/$p/integration_spec.rb{,.disable}
done

# TMP workaround for 'file = Tempfile.new' (Tempfile not found)
mv ./spec/hashie/parsers/yaml_erb_parser_spec.rb{,.disable}

sed -i -e "/^require 'pry'$/ s/^/#/g" \
  spec/spec_helper.rb

rspec -Ilib spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%doc %{gem_instdir}/LICENSE
%exclude %{gem_cache}
%exclude %{gem_instdir}/.*
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/UPGRADING.md
%{gem_instdir}/Rakefile
%{gem_instdir}/%{gem_name}.gemspec
%{gem_instdir}/spec/

%changelog
* Thu May 09 2019 Pavel Valena <pvalena@redhat.com> - 3.6.0-1
- Update to hashie 3.6.0.

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jun 29 2015 Josef Stribny <jstribny@redhat.com> - 2.0.5-5
- Fix FTBFS: use RSpec 2.x

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 08 2013 Axilleas Pipinellis <axilleaspi@ymail.com> - 2.0.5-1
- Initial package
